# General options
general: 
    name: Multiangle_Optimization      # Name of the output folder
    output: ["mesh","initial_guess","height","turbine_force","solution"]
    dolfin_adjoint: true

# Wind Farm constants for a grid farm
wind_farm: 

    ########################## Grid Wind Farm #########################
    type: grid            #                          |
    jitter: false         #                          |
    ex_x: [-520, 520]     # x-extent of the farm     | m
    ex_y: [-520, 520]     # y-extent of the farm     | m
    grid_rows: 3          # Number of rows           | -
    grid_cols: 3          # Number of columns        | -
    HH: 80                # Hub Height               | m
    RD: 80.0              # Turbine Diameter         | m
    thickness: 20         # Effective Thickness      | m
    yaw: 0.0              # Yaw                      | rads
    axial: 0.33           # Axial Induction          | -
    ###################################################################



# Domain Constants for a Box Domain
domain: 

    ######################## Rectangle Domain #########################
    type: box              #                       |
    x_range: [-1200, 1200] # x-range of the domain | m
    y_range: [-1200, 1200] # y-range of the domain | m
    z_range: [0.04, 640]   # z-range of the domain | m
    nx: 10                 # Number of x-nodes     | -
    ny: 10                 # Number of y-nodes     | -
    nz: 6                  # Number of z-nodes      | -
    interpolated: true 
    terrain_path: Input_Data/skew_terrain.txt
    ###################################################################



refine:
    #                      # Description                  | Units
    warp_type: smooth      # percent of cells moved       | -
    warp_strength: 1.2     # percent of cells moved       | -
    refine_custom: [
        # [full,[]],
        [cylinder, [  [0.0,0.0,0.0], 1000, 250  ]]
    ]
function_space:
    type: linear

boundary_conditions:
    vel_profile: log
    HH_vel: 8.0
    power: 0.25
    k: 0.4

problem:
    type: stabilized
    viscosity: 0.2

solver:
    type: multiangle
    num_wind_angles: 3
    save_power: true

optimization:
    control_types: [layout]
    layout_bounds: [[-720, 720],[-720, 720]] 
    gradient: true